Package org.jfree.layouting.renderer.model.page

## Class PhysicalPageBox

- java.lang.Object
- - org.jfree.layouting.renderer.model.page.PhysicalPageBox

- All Implemented Interfaces:
    `java.lang.Cloneable`

      public class PhysicalPageBox
      extends java.lang.Object
      implements java.lang.Cloneable

  Defines the properties of a single physical page. In a later version, this box may receive physical page header and footer or may even support the full CSS-pagebox modell.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PhysicalPageBox​(PageContext pageContext, OutputProcessorMetaData metaData, long globalX, long globalY)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `clone​()` |
    `long` | `getGlobalX​()` |
    `long` | `getGlobalY​()` |
    `long` | `getHeight​()` |
    `long` | `getImageableHeight​()` |
    `long` | `getImageableWidth​()` |
    `long` | `getImageableX​()` |
    `long` | `getImageableY​()` |
    `PageContext` | `getPageContext​()` |
    `long` | `getWidth​()` |
    `void` | `setGlobalX​(long globalX)` |
    `void` | `setGlobalY​(long globalY)` |

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PhysicalPageBox

          public PhysicalPageBox​(PageContext pageContext,
                                 OutputProcessorMetaData metaData,
                                 long globalX,
                                 long globalY)

  - ### Method Detail

    - #### getImageableX

          public long getImageableX​()

    - #### getImageableY

          public long getImageableY​()

    - #### getImageableWidth

          public long getImageableWidth​()

    - #### getImageableHeight

          public long getImageableHeight​()

    - #### getGlobalX

          public long getGlobalX​()

    - #### setGlobalX

          public void setGlobalX​(long globalX)

    - #### getGlobalY

          public long getGlobalY​()

    - #### setGlobalY

          public void setGlobalY​(long globalY)

    - #### getWidth

          public long getWidth​()

    - #### getHeight

          public long getHeight​()

    - #### getPageContext

          public PageContext getPageContext​()

    - #### clone

          public java.lang.Object clone​()
                                 throws java.lang.CloneNotSupportedException

      Overrides:
        `clone` in class `java.lang.Object`
      Throws:
        `java.lang.CloneNotSupportedException`